---
title: "Pages the certificates issued to customers."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › certificate

`GET /v1/stores/{store}/certificates/issues`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `certificate:read`

## Path parameters

- `store` (`listCertificateIssues.path.store`; string, required) — The store's id.

## Query parameters

- `product` (`listCertificateIssues.query.product`; string, optional) — An id, or `slug:<slug>`.
  - minLength 1
- `filter` (`listCertificateIssues.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listCertificateIssues.query.sort`; string, optional)
  - one of `"issued"`
- `direction` (`listCertificateIssues.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listCertificateIssues.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listCertificateIssues.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listCertificateIssues.query.count`; boolean, optional)
- `search` (`listCertificateIssues.query.search`; string, optional)
  - minLength 1; maxLength 200
- `facets` (`listCertificateIssues.query.facets`; array<string>, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/certificates/issues' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/certificates/issues';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/certificates/issues"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages the certificates issued to customers.

#### Example

```json
{
  "items": [
    {
      "customer": {
        "id": "string",
        "name": "string",
        "email": "string",
        "phone": "string",
        "erased": true
      },
      "certificate": {
        "id": "string",
        "title": "string",
        "headline": "string"
      },
      "id": "string",
      "product_id": "string",
      "certificate_id": "string",
      "customer_id": "string",
      "score": 0,
      "attempt": 0,
      "issued_at": "string",
      "revoked_at": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listCertificateIssues.response.200.items`; array<object>, required)
  - `customer` (`listCertificateIssues.response.200.items.customer`; any of, required)
    - any of: `object`, `null`
  - `certificate` (`listCertificateIssues.response.200.items.certificate`; any of, required)
    - any of: `object`, `null`
  - `id` (`listCertificateIssues.response.200.items.id`; string, required)
  - `product_id` (`listCertificateIssues.response.200.items.product_id`; string, required)
  - `certificate_id` (`listCertificateIssues.response.200.items.certificate_id`; string, required)
  - `customer_id` (`listCertificateIssues.response.200.items.customer_id`; string, required)
  - `score` (`listCertificateIssues.response.200.items.score`; any of, required)
    - any of: `number`, `null`
  - `attempt` (`listCertificateIssues.response.200.items.attempt`; any of, required)
    - any of: `number`, `null`
  - `issued_at` (`listCertificateIssues.response.200.items.issued_at`; any of, required)
    - any of: `string`, `null`
  - `revoked_at` (`listCertificateIssues.response.200.items.revoked_at`; any of, required)
    - any of: `string`, `null`
- `cursor` (`listCertificateIssues.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listCertificateIssues.response.200.total`; number, optional)
- `facets` (`listCertificateIssues.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listCertificateIssues.response.default.type`; string, required)
  - format `uri`
- `title` (`listCertificateIssues.response.default.title`; string, required)
- `status` (`listCertificateIssues.response.default.status`; integer, required)
- `detail` (`listCertificateIssues.response.default.detail`; string, required)
- `code` (`listCertificateIssues.response.default.code`; string, optional)
- `context` (`listCertificateIssues.response.default.context`; object, optional)
- `reached_core` (`listCertificateIssues.response.default.reached_core`; boolean, optional)
- `core_answer` (`listCertificateIssues.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-certificate-issues/index.md
